$cfg = {
    log => q(
      #Fatal errors goes to screen
      log4perl.logger=FATAL, Screen

      #INFO messages goes into Log file (see the definition of Log below)
      log4perl.logger.RoPkg.Simba=INFO, Log

      #Definition for Screen
      log4perl.appender.Screen=Log::Dispatch::Screen
      log4perl.appender.Screen.stderr=0
      log4perl.appender.Screen.Threshold=FATAL
      log4perl.appender.Screen.layout=Log::Log4perl::Layout::SimpleLayout

      #definition for DebugLog
      log4perl.appender.DebugLog=Log::Dispatch::File
      log4perl.appender.DebugLog.filename=/var/log/simba.debug
      log4perl.appender.DebugLog.mode=append
      log4perl.appender.DebugLog.layout=Log::Log4perl::Layout::PatternLayout
      log4perl.appender.DebugLog.layout.ConversionPattern=%d %p (%P) > %F{1}:%L %M - %m%n
      
      #definition for Log
      log4perl.appender.Log=Log::Dispatch::File
      log4perl.appender.Log.filename=/var/log/simba.log
      log4perl.appender.Log.mode=append
      log4perl.appender.Log.layout=Log::Log4perl::Layout::PatternLayout
      log4perl.appender.Log.layout.ConversionPattern=%d %p (%P) > %m%n
  ),

  db => {
    dsn  => 'dbi:mysql:database=mirrors_db;host=localhost;port=3306',
    user => 'mirrors',
    pass => 'mirrors',
  },

  general => {
    lockfile          => 'inProgress',
    tmpdir            => '/tmp/',
    verbose           => 'yes',
    showListAfterSync => 'yes',
  },

  mProbes => [
    'mirror.Probe',
    'timestamp',
    'probe.txt',
    'status.html',
    './',
  ],

  plugins => {
    html => {
      shortName     => 'genHTML',
      packageName   => 'RoPkg::Simba::Plugin::GenHTML',
      templatesDir  => '/etc/simba/templates/',
      enabled       => 'yes',
      gmt_offset    => '+02:00',
      
      callbacks => {
        c_01 => {
          trigger    => 'afterSync',
          method     => 'genMirrorPage',
        },
        c_10 => {
          trigger    => 'userRequest',
          method     => 'genMirrorsIndex',
        },
      },
      h_02 => {
        type     => 'index',
        template => 'mirrors-list.tmpl',
        outfile  => '/var/www/vhosts/ftp/index.html',
      },
      h_03 => {
        type     => 'page',
        template => 'mirror.tmpl',
        outfile  => '/var/www/vhosts/ftp/__name__.html',
      },
      h_04 => {
        type     => 'page',
        template => 'mirror-updates.tmpl',
        outfile  => '/var/www/vhosts/ftp/__name__-updates.html',
      },
      h_05 => {
        type     => 'page',
        template => 'mirror-log.tmpl',
        outfile  => '/var/www/vhosts/ftp/__name__-log.html',
      },
    },
    rss => {
      shortName   => 'genRSS',
      packageName => 'RoPkg::Simba::Plugin::GenRSS',
      enabled     => 'yes',

      callbacks => {
        c_01 => {
          trigger => 'userRequest',
          method  => 'genFeed',
        },
      },

      file  => 'www/mirrors.rss',
      title => 'Mirror updates',
      site_url => 'http://mirrors.domain.net',
      item_url => 'http://mirrors.domain.net/mirrors-status/__name__.html',
      item_msg => 'On __last_update__, __name__ was updated. __files_no__ files ' .
                  'were transferred on __last_update_duration__ at ' .
                  '__last_update_speed__B/sec . ',
      description => 'RoPkg mirror updates',
      creator     => 'Simba',
      publisher   => 'me',
      rights      => 'me',
      language    => 'en_US',
      max_items   => 10,
      timezone    => 'Europe/Bucharest',
      gmt_offset  => '+02:00',
    },

   sitemap => {
     shortName    => 'sitemap',
     packageName  => 'RoPkg::Simba::Plugin::GenSitemap',
     templatesDir => '/etc/simba/templates/',
     enabled      => 'yes',
     gmt_offset   => '+02:00',

     callbacks => {
       c_01 => {
         trigger => 'userRequest',
         method  => 'genSitemap',
       },
     },

     s_01 => {
       template => 'sitemap-google.tmpl',
       outfile  => '/var/www/vhosts/ftp/sitemap-google.xml',
     },
     s_02 => {
       template => 'sitemap-mirrors.tmpl',
       outfile  => '/var/www/vhosts/ftp/sitemap-mirrors.xml',
     },
   },

   rsync => {
     shortName   => 'genRsync',
     packageName => 'RoPkg::Simba::Plugin::GenRsync',
     outfile     => '/tmp/rsyncd.conf',
     source      => '/tmp/rsyncd-orig.conf',
     enabled     => 'yes',

     callbacks => {
       c_01 => {
         trigger => 'userRequest',
         method  => 'createRsyncConfig',
       },
     },

     defaults => {
       'uid'        => 'nobody',
       'gid'        => 'nobody',
       'use chroot' => 'yes',
       'pid file'   => '/var/run/rsyncd.conf',
       'motd file'  => '/etc/rsyncd.motd',
       'log file'   => '/var/log/rsyncd.log',
     },
   },
  },
};
